const path = require('path')

function resolve (dir) {
    return path.join(__dirname, dir)
  }

module.exports = {
    lintOnSave: true,
    chainWebpack: config => {
        config.resolve.alias.set('@', resolve('src'))
    },
    css: {
        loaderOptions: {
            sass: {
                data: `@import "@/style/variable.scss";@import "@/style/mixins.scss";`
            }
        }
    }
}