import LoadingCpt from "@/components/loading";

export function PubLoading(Vue) {
    const LoadingCtr = Vue.extend(LoadingCpt);
    Vue.directive("pub-loading", {
        bind(el, binding) {
            let loadingDom = new LoadingCtr({
                el: document.createElement("div")
            });
            loadingDom.show = binding.value;
            el.appendChild(loadingDom.$el);
            el.loadingDom = loadingDom;
        },
        update(el, binding) {
            el.loadingDom.show = binding.value;
        }
    });
}
